Skip to main content

Snapshot Quotes

info

屬於 開發者 及 進階用戶 方案的專屬功能!

取得股票行情快照(依市場別),系統更新頻率為每五秒更新一次。

GET /snapshot/quotes/{market}

Parameters​

NameTypeDescription
market*string市場別,可選 TSE 上市;OTC 上櫃;ESB 興櫃一般板;TIB 臺灣創新板
typestring標的類型,可選 ALLBUT0999 包含一般股票、特別股及 ETF ; COMMONSTOCK 為一般股票

Response​

NameTypeDescription
date*string日期
time*string時間
market*string市場別
data*object[]快照資料
data[0].typestringTicker 類型
data[0].symbolstring股票代碼
data[0].namestring股票簡稱
data[0].openPricenumber開盤價
data[0].highPricenumber最高價
data[0].lowPricenumber最低價
data[0].closePricenumber收盤價
data[0].changenumber漲跌
data[0].changePercentnumber漲跌幅
data[0].tradeVolumenumber成交量
data[0].tradeValuenumber成交金額
data[0].lastPricenumber最後一筆成交價(含試撮);指數無此欄位,當日尚無成交時亦不回傳
data[0].lastUpdatednumber快照時間

Example​

curl -X 'GET' \
'https://api.fugle.tw/marketdata/v1.0/stock/snapshot/quotes/TSE' \
-H 'X-API-KEY: <YOUR_API_KEY>'

Response Body:

{
"date": "2026-09-30",
"time": "140000",
"market": "TSE",
"data": [
{
"type": "EQUITY",
"symbol": "00400A",
"name": "主動國泰動能高息",
"openPrice": 15.77,
"highPrice": 15.77,
"lowPrice": 15.56,
"closePrice": 15.56,
"change": 0.05,
"changePercent": 0.32,
"tradeVolume": 25375,
"tradeValue": 397393360,
"lastPrice": 15.56,
"lastUpdated": 1790746200000000
},
{
"type": "EQUITY",
"symbol": "00401A",
"name": "主動摩根台灣鑫收",
"openPrice": 14.29,
"highPrice": 14.32,
"lowPrice": 14.22,
"closePrice": 14.22,
"change": 0.01,
"changePercent": 0.07,
"tradeVolume": 3161,
"tradeValue": 45088170,
"lastPrice": 14.22,
"lastUpdated": 1790746200000000
},
......
{
"type": "INDEX",
"symbol": "IX0001",
"name": "發行量加權股價指數",
"openPrice": 47767.49,
"highPrice": 48379.71,
"lowPrice": 47767.49,
"closePrice": 47940.13,
"change": 308.17,
"changePercent": 0.65,
"tradeVolume": 10531464,
"tradeValue": 875672946400,
"lastUpdated": 1790746200000000
},
......
]
}